Bug 216030 - multimedia/mplayer: new option ASS isn't optional
Summary: multimedia/mplayer: new option ASS isn't optional
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-13 13:45 UTC by rjk
Modified: 2017-01-15 13:17 UTC (History)
0 users

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rjk 2017-01-13 13:45:13 UTC
If I attempt to build mplayer-1.3.0.20161228_2 with ASS deselected, the build fails at linktime with:

gui/interface.o: In function `guiInit':
gui/interface.c:(.text+0xb8): undefined reference to `ass_enabled'
gui/interface.c:(.text+0xca): undefined reference to `ass_use_margins'
gui/interface.c:(.text+0xd6): undefined reference to `ass_top_margin'
gui/interface.c:(.text+0xe2): undefined reference to `ass_bottom_margin'
gui/interface.o: In function `guiDone':
gui/interface.c:(.text+0xa9c): undefined reference to `ass_enabled'
gui/interface.c:(.text+0xaa8): undefined reference to `ass_use_margins'
gui/interface.c:(.text+0xab4): undefined reference to `ass_top_margin'
gui/interface.c:(.text+0xac0): undefined reference to `ass_bottom_margin'
gui/interface.o: In function `gui':
gui/interface.c:(.text+0x2031): undefined reference to `ass_enabled'
gui/interface.c:(.text+0x203d): undefined reference to `ass_use_margins'
gui/interface.c:(.text+0x2049): undefined reference to `ass_top_margin'
gui/interface.c:(.text+0x2055): undefined reference to `ass_bottom_margin'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 1 commit-hook freebsd_committer 2017-01-14 07:58:41 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 14 07:58:31 UTC 2017
New revision: 431457
URL: https://svnweb.freebsd.org/changeset/ports/431457

Log:
  Convert GUI and SKINS to OPTION helpers; fix dependency: GUI implies ASS

  PR:		216030
  Reported by:	rjk@wintek.com
  MFH:		2017Q1

Changes:
  head/multimedia/mplayer/Makefile
  head/multimedia/mplayer/Makefile.optvars
  head/multimedia/mplayer/pkg-plist
Comment 2 commit-hook freebsd_committer 2017-01-15 11:30:00 UTC
A commit references this bug:

Author: riggs
Date: Sun Jan 15 11:29:27 UTC 2017
New revision: 431546
URL: https://svnweb.freebsd.org/changeset/ports/431546

Log:
  MFH: r431457

  Convert GUI and SKINS to OPTION helpers; fix dependency: GUI implies ASS

  PR:		216030
  Reported by:	rjk@wintek.com

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/multimedia/mplayer/Makefile
  branches/2017Q1/multimedia/mplayer/Makefile.optvars
  branches/2017Q1/multimedia/mplayer/pkg-plist